报告的结构及内容如有更改,恕不另行通知。

例如,可能会添加新列或更改工作表的名称。

合作伙伴仓库余额报告

方法适用于模式:FBS, Express 和 DBS.

如果您使用API-Key令牌,调用该方法时需要具备列表中可用权限之一

开始生成一份关于柜内商店库存余额的报告. 这是什么报告

将返回哪些信息:

  • 关于橱柜中所有商店仓库的剩菜(模型 DBS, FBS 和 Express).
  • 对于每个产品 — 你的 SKU,名称,工作模式,仓库,可供订购的数量,储备,价格和状态。

您可以使用请求查找生成状态并获取指向已完成报告的链接。 GET v2/reports/info/{reportId}.

报告列说明:

表单Остатки на складах(文件stocks_business

CSV中的列名

JSON中的列名

XLSX中的列名

值类型

ERRORS

errors

Критичные ошибки

string

SHOP_SKU

shopSku

Ваш SKU *

string

PRODUCT_NAME

productName

Название товара

string

PLACEMENT_TYPE

placementType

Модель работы

string

WAREHOUSE_AND_SHOP

warehouseAndShop

Склад *

string

COUNT

count

Доступно для заказа *

integer

RESERVE

reserve

Резерв

integer

PRICE

price

Цена

string

STATUS

status

Статус

string

COMMENT

comment

Примечание

string

Метод подходит, только если в кабинете нет групп складов

⚙️ 没有订阅的限制: 1 请求 在 2 分钟
⭐️ 使用中等订阅限制: 1 请求 每分钟

Request

POST

https://api.partner.market.yandex.ru/v3/businesses/{businessId}/reports/stocks/generate

Path parameters

Name

Description

businessId

Type: integer

内阁ID。

Min value: 1

Query parameters

Name

Description

format

Type: string

报告或文档的格式。 报告格式:

  • FILE — 电子表格文件(XLSX).
  • CSV — 每个报告表都有一个包含CSV文件的ZIP存档。
  • JSON — 每个报告表都有一个带有JSON文件的ZIP压缩包.

Default: FILE

Enum: FILE, CSV, JSON

Body

application/json
{
  "categoryIds": [
    1
  ],
  "hasStocks": true,
  "partnerWarehouseIds": [
    0
  ]
}

Name

Description

categoryIds

Type: integer[] | null

在市场上按类别过滤。

Min items: 1

Unique items: true

Example
[
  1
]

hasStocks

Type: boolean

残基的存在而过滤。

partnerWarehouseIds

Type: integer[] | null

按仓库Id进行筛选。 要查找ID,请使用请求 POST v3/businesses/{businessId}/warehouses.

Min items: 1

Unique items: true

Example
[
  0
]

Responses

200 OK

作为响应,您会收到一个标识符,该标识符允许您查找生成状态并下载完成的报告。

Body

application/json
{
  "status": "OK",
  "result": {
    "reportId": "example",
    "estimatedGenerationTime": 0
  }
}

Type: object

All of 2 types
  • Type: object

    status

    Type: string

    响应的类型。 可能的值:

    • OK — 没有错误。
    • ERROR — 处理请求时出错。

    Enum: OK, ERROR

    服务器响应的标准包装器。

    Example
    {
      "status": "OK"
    }
    
  • Type: object

    result

    Type: object

    estimatedGenerationTime

    Type: integer

    预计生成时间以毫秒为单位。

    reportId

    Type: string

    跟踪生成状态和接收完成的报告或文档所需的ID。

    Example: example

    跟踪生成状态和接收完成的报告或文档所需的ID。

    Example
    {
      "reportId": "example",
      "estimatedGenerationTime": 0
    }
    
    Example
    {
      "result": {
        "reportId": "example",
        "estimatedGenerationTime": 0
      }
    }
    

400 Bad Request

请求包含不正确的数据。 有关错误的更多信息

Body

application/json
{
  "status": "OK",
  "errors": [
    {
      "code": "example",
      "message": "example"
    }
  ]
}

Type: object

All of 1 type
  • Type: object

    All of 2 types
    • Type: object

      status

      Type: string

      响应的类型。 可能的值:

      • OK — 没有错误。
      • ERROR — 处理请求时出错。

      Enum: OK, ERROR

      服务器响应的标准包装器。

      Example
      {
        "status": "OK"
      }
      
    • Type: object

      errors

      Type: object[]

      code

      Type: string

      的错误代码。

      Example: example

      message

      Type: string

      错误的描述。

      Example: example

      错误列表。

      Min items: 1

      Example
      [
        {
          "code": "example",
          "message": "example"
        }
      ]
      
      Example
      {
        "errors": [
          {
            "code": "example",
            "message": "example"
          }
        ]
      }
      

    服务器错误的标准包装器。

    Example
    {
      "status": "OK",
      "errors": [
        {
          "code": "example",
          "message": "example"
        }
      ]
    }
    

401 Unauthorized

请求中未指定授权数据。 有关错误的更多信息

Body

application/json
{
  "status": "OK",
  "errors": [
    {
      "code": "example",
      "message": "example"
    }
  ]
}

Type: object

All of 1 type
  • Type: object

    All of 2 types
    • Type: object

      status

      Type: string

      响应的类型。 可能的值:

      • OK — 没有错误。
      • ERROR — 处理请求时出错。

      Enum: OK, ERROR

      服务器响应的标准包装器。

      Example
      {
        "status": "OK"
      }
      
    • Type: object

      errors

      Type: object[]

      code

      Type: string

      的错误代码。

      Example: example

      message

      Type: string

      错误的描述。

      Example: example

      错误列表。

      Min items: 1

      Example
      [
        {
          "code": "example",
          "message": "example"
        }
      ]
      
      Example
      {
        "errors": [
          {
            "code": "example",
            "message": "example"
          }
        ]
      }
      

    服务器错误的标准包装器。

    Example
    {
      "status": "OK",
      "errors": [
        {
          "code": "example",
          "message": "example"
        }
      ]
    }
    

403 Forbidden

授权数据不正确或禁止访问资源。 有关错误的更多信息

Body

application/json
{
  "status": "OK",
  "errors": [
    {
      "code": "example",
      "message": "example"
    }
  ]
}

Type: object

All of 1 type
  • Type: object

    All of 2 types
    • Type: object

      status

      Type: string

      响应的类型。 可能的值:

      • OK — 没有错误。
      • ERROR — 处理请求时出错。

      Enum: OK, ERROR

      服务器响应的标准包装器。

      Example
      {
        "status": "OK"
      }
      
    • Type: object

      errors

      Type: object[]

      code

      Type: string

      的错误代码。

      Example: example

      message

      Type: string

      错误的描述。

      Example: example

      错误列表。

      Min items: 1

      Example
      [
        {
          "code": "example",
          "message": "example"
        }
      ]
      
      Example
      {
        "errors": [
          {
            "code": "example",
            "message": "example"
          }
        ]
      }
      

    服务器错误的标准包装器。

    Example
    {
      "status": "OK",
      "errors": [
        {
          "code": "example",
          "message": "example"
        }
      ]
    }
    

404 Not Found

未找到请求的资源。 有关错误的更多信息

Body

application/json
{
  "status": "OK",
  "errors": [
    {
      "code": "example",
      "message": "example"
    }
  ]
}

Type: object

All of 1 type
  • Type: object

    All of 2 types
    • Type: object

      status

      Type: string

      响应的类型。 可能的值:

      • OK — 没有错误。
      • ERROR — 处理请求时出错。

      Enum: OK, ERROR

      服务器响应的标准包装器。

      Example
      {
        "status": "OK"
      }
      
    • Type: object

      errors

      Type: object[]

      code

      Type: string

      的错误代码。

      Example: example

      message

      Type: string

      错误的描述。

      Example: example

      错误列表。

      Min items: 1

      Example
      [
        {
          "code": "example",
          "message": "example"
        }
      ]
      
      Example
      {
        "errors": [
          {
            "code": "example",
            "message": "example"
          }
        ]
      }
      

    服务器错误的标准包装器。

    Example
    {
      "status": "OK",
      "errors": [
        {
          "code": "example",
          "message": "example"
        }
      ]
    }
    

420 Method Failure

已超出资源访问限制。 有关错误的更多信息

Body

application/json
{
  "status": "OK",
  "errors": [
    {
      "code": "example",
      "message": "example"
    }
  ]
}

Type: object

All of 1 type
  • Type: object

    All of 2 types
    • Type: object

      status

      Type: string

      响应的类型。 可能的值:

      • OK — 没有错误。
      • ERROR — 处理请求时出错。

      Enum: OK, ERROR

      服务器响应的标准包装器。

      Example
      {
        "status": "OK"
      }
      
    • Type: object

      errors

      Type: object[]

      code

      Type: string

      的错误代码。

      Example: example

      message

      Type: string

      错误的描述。

      Example: example

      错误列表。

      Min items: 1

      Example
      [
        {
          "code": "example",
          "message": "example"
        }
      ]
      
      Example
      {
        "errors": [
          {
            "code": "example",
            "message": "example"
          }
        ]
      }
      

    服务器错误的标准包装器。

    Example
    {
      "status": "OK",
      "errors": [
        {
          "code": "example",
          "message": "example"
        }
      ]
    }
    

500 Internal Server Error

Yandex的内部错误。 市场。 有关错误的更多信息

Body

application/json
{
  "status": "OK",
  "errors": [
    {
      "code": "example",
      "message": "example"
    }
  ]
}

Type: object

All of 1 type
  • Type: object

    All of 2 types
    • Type: object

      status

      Type: string

      响应的类型。 可能的值:

      • OK — 没有错误。
      • ERROR — 处理请求时出错。

      Enum: OK, ERROR

      服务器响应的标准包装器。

      Example
      {
        "status": "OK"
      }
      
    • Type: object

      errors

      Type: object[]

      code

      Type: string

      的错误代码。

      Example: example

      message

      Type: string

      错误的描述。

      Example: example

      错误列表。

      Min items: 1

      Example
      [
        {
          "code": "example",
          "message": "example"
        }
      ]
      
      Example
      {
        "errors": [
          {
            "code": "example",
            "message": "example"
          }
        ]
      }
      

    服务器错误的标准包装器。

    Example
    {
      "status": "OK",
      "errors": [
        {
          "code": "example",
          "message": "example"
        }
      ]
    }